org.apache.ignite.internal.visor.cache

## Class VisorCacheStoreConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheStoreConfiguration

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  VisorCacheStoreConfigurationV2

    public class VisorCacheStoreConfiguration
    extends Object
    implements Serializable

Data transfer object for cache store configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheStoreConfiguration()`

### Method Summary

Methods
`int` `batchSize()`
`boolean` `enabled()`
`long` `flushFrequency()`
`int` `flushSize()`
`int` `flushThreadCount()`
`VisorCacheStoreConfiguration` `from(IgniteEx ignite, CacheConfiguration ccfg)`
`boolean` `jdbcStore()`
`boolean` `readThrough()`
`String` `store()`
`String` `storeFactory()`
`String` `toString()`
`boolean` `writeBehindEnabled()`
`boolean` `writeThrough()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheStoreConfiguration

    public VisorCacheStoreConfiguration()

### Method Detail

#### from

    public VisorCacheStoreConfiguration from(IgniteEx ignite,
                                    CacheConfiguration ccfg)

Parameters:
  `ignite` - Ignite instance.
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for cache store configuration properties.

#### enabled

    public boolean enabled()

Returns:
  `true` if cache has store.

#### jdbcStore

    public boolean jdbcStore()

Returns:
  `true` if cache has JDBC store.

#### store

    @Nullable
    public String store()

Returns:
  Cache store class name.

#### storeFactory

    public String storeFactory()

Returns:
  Cache store factory class name..

#### readThrough

    public boolean readThrough()

Returns:
  Whether cache should operate in read-through mode.

#### writeThrough

    public boolean writeThrough()

Returns:
  Whether cache should operate in write-through mode.

#### writeBehindEnabled

    public boolean writeBehindEnabled()

Returns:
  Flag indicating whether write-behind behaviour should be used for the cache store.

#### batchSize

    public int batchSize()

Returns:
  Maximum batch size for write-behind cache store operations.

#### flushFrequency

    public long flushFrequency()

Returns:
  Frequency with which write-behind cache is flushed to the cache store in milliseconds.

#### flushSize

    public int flushSize()

Returns:
  Maximum object count in write-behind cache.

#### flushThreadCount

    public int flushThreadCount()

Returns:
  Number of threads that will perform cache flushing.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016